Name:           perl-POE-Component-Client-Keepalive
Version:        0.1000        
Release:        1%{?dist}
Summary:        Manages and keeps alive client connections       

Group:          Development/Libraries
License:        Artistic or GPL        
URL:            http://search.cpan.org/dist/POE-Component-Client-Keepalive            
Source0: http://search.cpan.org/CPAN/authors/id/R/RC/RCAPUTO/POE-Component-Client-Keepalive-%{version}.tar.gz        
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch 
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# core
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
# cpan
BuildRequires:  perl(POE) >= 0.31
BuildRequires:  perl(POE::Component::Client::DNS) 

%description
POE::Component::Client::Keepalive creates and manages connections for other
components. It maintains a cache of kept-alive connections for quick reuse. It
is written specifically for clients that can benefit from kept-alive
connections, such as HTTP clients. Using it for one-shot connections would
probably be silly.

%prep
%setup -q -n POE-Component-Client-Keepalive-%{version}

chmod -c -x mylib/* t/*

# Filter unwanted Provides:
cat << \EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} $* |\
  sed -e '/perl(TestServer)/d'
EOF

%define __perl_provides %{_builddir}/POE-Component-Client-Keepalive-%{version}/%{name}-prov
chmod +x %{__perl_provides}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor 
make %{?_smp_mflags}


%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*


%check
# I'm leaving all tests active for now, even though 09_timeout.t runs a test
# which is _supposed_ to timeout against google.com.  This may or may not
# work inside the buildsys; if it doesn't the cure should be as easy as nixing
# this one test.
make test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc CHANGES README mylib/ t/
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Sun May 13 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.1000-1
- update to 0.1000
- add t/ to %doc
- perl splittage BR tweaks

* Tue Oct 03 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.0901-1
- update to 0.0901
- minor spec tweaks

* Thu Aug 31 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.0801-3
- bump for mass rebuild

* Tue Jul 25 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.0801-2
- import, bump & build for devel

* Thu Jul 20 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.0801-1
- bits snipped

* Fri Jul 14 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.0801-0
- Initial spec file for F-E
